Package ru.bitel.bgbilling.plugins.cashcheck.server.bean

# Class Check

java.lang.Object
ru.bitel.bgbilling.plugins.cashcheck.common.Check
ru.bitel.bgbilling.plugins.cashcheck.server.bean.Check

    public class Check
    extends Check

Используется для формирования последовательностей линий чека. Этот же объект передаётся в скрипты формирования вида чека. После этого отсюда получается список строк для непосредственной посылки в сервер печати. Основной код в common. Здесь пока для совместимости.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.plugins.cashcheck.common.Check

  `Check.CheckLine, Check.STAG, Check.Type`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.plugins.cashcheck.common.Check

  `cashierINN, cashierName, checkType, customerEmail, customTags, CUT_TEXT_COMMAND, documentDate, documentId, lines, OFD_TAG_AGENT_INFO_TYPE, OFD_TAG_INTERNET, OFD_TAG_SUPPLIER_INFO_INN, OFD_TAG_SUPPLIER_INFO_NAME, OFD_TAG_SUPPLIER_INFO_PHONES, OFD_TAG_TIMEZONE, onlyElCheck, paymentsum, paymentType, payMethod, payObject, tax, VAT_0, VAT_10, VAT_105, VAT_107, VAT_110, VAT_118, VAT_120, VAT_18, VAT_20, VAT_5, VAT_7, VAT_NO`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Check()` |
  `Check​(Check.Type checkType)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Check` | `fromCheckData​(java.lang.String checkData)` |

  ### Methods inherited from class ru.bitel.bgbilling.plugins.cashcheck.common.Check

  `_roundSum, addPayment, addPayment, addPayment, addString, getCashierINN, getCashierName, getCheckData, getCheckType, getCustomerEmail, getCustomTags, getDocumentDate, getDocumentId, getLines, getPaymentsum, getPaymentType, getPayMethod, getPayObject, getPlines, getTax, isOnlyElCheck, setCashierINN, setCashierName, setCheckType, setCustomerEmail, setDocumentDate, setDocumentId, setDocumentId, setLastPaymentPayMethod, setLastPaymentPayObject, setLastPaymentTag, setLastPaymentTag, setLastPaymentTag, setLastPaymentTag, setLastPaymentTax, setOnlyElCheck, setPaymentType, setPayMethod, setPayObject, setTag, setTag, setTag, setTag, setTax, STLV, TLV, TLV, TLV`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Check

    public Check()

  - ### Check

    public Check​(Check.Type checkType)

- ## Method Details

  - ### fromCheckData

    public static Check fromCheckData​(java.lang.String checkData) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`